import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import {RbUiComponentsModule} from '@inst-iot/bosch-angular-ui-components';
import { LoginComponent } from './login/login.component';
import { HomeComponent } from './home/home.component';
import {FormsModule} from '@angular/forms';
import {LocalStorageModule} from 'angular-2-local-storage';
import {HttpClientModule} from '@angular/common/http';
import { SamplesComponent } from './samples/samples.component';
import {RbTableModule} from './rb-table/rb-table.module';

@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    HomeComponent,
    SamplesComponent
  ],
  imports: [
    LocalStorageModule.forRoot({
      prefix: 'dfop',
      storageType: 'localStorage'
    }),
    BrowserModule,
    AppRoutingModule,
    RbUiComponentsModule,
    FormsModule,
    HttpClientModule,
    RbTableModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
