import { Component, OnInit } from '@angular/core';
import {ApiService} from '../api.service';

@Component({
  selector: 'app-samples',
  templateUrl: './samples.component.html',
  styleUrls: ['./samples.component.scss']
})
export class SamplesComponent implements OnInit {  // TODO: implement paging

  materials = {};
  samples = [];

  constructor(
    private api: ApiService
  ) { }

  ngOnInit(): void {
    this.api.get('/materials').subscribe((mData: any) => {
      this.materials = {};
      mData.forEach(material => {
        this.materials[material._id] = material;
      });
      console.log(this.materials);
      this.api.get('/samples').subscribe(sData => {
        console.log(sData);
        this.samples = sData as any;
        this.samples.forEach(sample => {
          sample.material_number = this.materials[sample.material_id].numbers.find(e => sample.color === e.color).number;
        });
      });
    });
  }

}
